%define	name	dump
%define ver	0.4b21
%define	rel	3ml
%define	serial	2002031301

Summary: Programs for backing up and restoring filesystems.
Name: %{name}
Version: %{ver}
Release: %{rel}
Serial: %{serial}
Copyright: UCB
Group: Applications/Archiving
Source0: ftp://ftp.sourceforge.net/pub/sourceforge/dump/dump-%{ver}.tar.gz
Patch0: dump-0.4b17-norootbuild.patch
Patch1: dump-0.4b21-lfs.patch

# XXX feeble attempt to force build with next version of e2fs
BuildRequires: e2fsprogs >= 1.15, e2fsprogs-devel >= 1.15
BuildRoot: /var/tmp/%{name}-%{version}-root
#NoSource: 0
Requires: rmt

%description
The dump package contains both dump and restore.  Dump examines files in
a filesystem, determines which ones need to be backed up, and copies
those files to a specified disk, tape or other storage medium.  The
restore command performs the inverse function of dump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then be
layered on top of the full backup.  Single files and directory subtrees
may also be restored from full or partial backups.

Install dump if you need a system for both backing up filesystems and
restoring filesystems after backups.

%package -n rmt
Summary: Provides certain programs with access to remote tape devices.
Group: Applications/Archiving

%description -n rmt
The rmt utility provides remote access to tape devices for programs
like dump (a filesystem backup program), restore (a program for
restoring files from a backup) and tar (an archiving program).

%changelog
* Wed Mar 13 2002 NONAKA Akira <anonaka@miraclelinux.com>
- Rebuild for zlib security update

* Tue Jan 16 2001 Go Taniguchi <go@turbolinux.co.jp>
- support lfs, enable-largefile

* Mon Jan 15 2001 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to version 0.4b21.

* Mon Nov 06 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated to dump-0.4b19

* Thu Aug 10 2000 SL Baur  <steve@turbolinux.co.jp>
- debash

* Mon Jun 12 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Added dump-0.4b17-tapename.patch for vulnerability.

* Fri Jun 02 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- updated to 0.4b17

* Wed Mar 15 2000 Katie Moussouris <k8e@turbolinux.com>
- removed obsolete patch dump-0.4b11-security.patch
- rerolled rpm with latest dump which fixes buffer overrun:
  - dump-0.4b16.tar.gz
- removed setgid & setuid bits from restore (workaround for 
  as yet unpublished buffer overrun in restore) 

* Fri Mar 10 2000 Curtis Anderson <canderson@turbolinux.com>
- Fixed a buffer overrun security bug (bugtrack ID 1020).

* Tue Dec 7 1999 Roger Luethi <rluethi@turbolinux.com>
- checked and removed obsolete patches:
  - dump-0.4b4-glibc.patch
  - dump-0.3-kernel.patch
  - dump-0.3-bread.patch
  - dump-0.4b4-path.patch
  - dump-0.4b4-alpha.patch (?)
  - dump-0.4b4-rmtpath.patch
  - dump-0.4b4-glibc21.patch
  - dump-0.4b4-lint.patch (?)
  - dump-0.4b4-e2fsvers.patch
- moved man pages from /usr/man to /usr/share/man
- gzipped documentation
- removed soft link from /etc/rmt to /sbin/rmt (no binaries in /etc !)

* Wed Oct 13 1999 Roger Luethi <rluethi@turbolinux.com>
- Recompiled for TurboLinux


%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0 -p1 -b .norootbuild
%patch1 -p1 -b .lfs

%build
#./configure --prefix=%{_prefix} \
#	--with-binmode=6755 \
#	--with-manowner=root \
#	--with-mangrp=root \
#	--with-manmode=0644 \
#	--enable-rmt

CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--with-manmode=0444 --enable-rmt --enable-largefile

make

%install
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/man/man8

make install BINDIR=$RPM_BUILD_ROOT/sbin MANDIR=${RPM_BUILD_ROOT}%{_prefix}/share/man/man8

( cd $RPM_BUILD_ROOT
  strip ./sbin/* || :
  ln -sf dump ./sbin/rdump
  ln -sf restore ./sbin/rrestore
  chmod ug-s ./sbin/rmt
  mkdir -p ./etc
  > ./etc/dumpdates
)
gzip -9 $RPM_BUILD_ROOT/usr/share/man/*/dump.8
gzip -9 $RPM_BUILD_ROOT/usr/share/man/*/restore.8
gzip -9 $RPM_BUILD_ROOT/usr/share/man/*/rmt.8
ln -s dump.8.gz $RPM_BUILD_ROOT/usr/share/man/man8/rdump.8.gz
ln -s restore.8.gz $RPM_BUILD_ROOT/usr/share/man/man8/rrestore.8.gz
gzip -9 CHANGES COPYRIGHT INSTALL KNOWNBUGS MAINTAINERS README THANKS TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES.gz COPYRIGHT.gz INSTALL.gz KNOWNBUGS.gz MAINTAINERS.gz README.gz
%doc THANKS.gz TODO.gz dump.lsm
/sbin/rdump
/sbin/rrestore
%{_prefix}/share/man/man8/dump.8.gz
%{_prefix}/share/man/man8/rdump.8.gz
%{_prefix}/share/man/man8/restore.8.gz
%{_prefix}/share/man/man8/rrestore.8.gz
%attr(0664,root,disk)	%config(noreplace) /etc/dumpdates
%attr(0755,root,tty)	/sbin/dump
%attr(0755,root,tty)	/sbin/restore

%files -n rmt
%defattr(-,root,root)
%{_prefix}/share/man/man8/rmt.8.gz
%attr(0755,root,root)	/sbin/rmt

